%define vocab_name korolew_ruen
%define vocab %{vocab_name}
%define dict_server dictd
Name: dict-%{vocab}
Version: 0.8
Release: 9%{?dist}
Summary: Russian-English dictionary by Nikolai Korolev
Summary(ru): Русско-английский словарь Николая Королева
License: Unknown
URL: ftp://mova.org/~cheusov/dict/korolew_ruen*
Vendor: Linux Ink/Urban-Soft
Group: Text tools
Packager: Vladimir B. Titov <tit@linux-ink.ru>

Source0: korolew_ruen_utf8.tar.gz

BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root
Provides: %{name}

Prefix: /usr/share
Requires: dictd >= 1.9

%description
Russian-English dictionary by Nikolai Korolev for dictd.

%description(ru)
Пакет осуществляет подключение электронной версии русско-английского
словаря Королева в кодировке utf8 для использования в сервере dictd.

%prep
#rm -rf $RPM_BUILD_ROOT

%setup -n korolew_ruen_utf8

%build
# install -p %SOURCE1 LICENSE

%install
mkdir -p $RPM_BUILD_ROOT%prefix/dict
install -m 644 %{vocab}.dict.dz $RPM_BUILD_ROOT%prefix/dict
install -m 644 %{vocab}.index $RPM_BUILD_ROOT%prefix/dict

%preun
if [ "$1" == "0" ]; then
  if [ -f /etc/dictd.conf ]; then
     echo -n "Unconfiguring dicts: "
     for i in %{vocab} ; do
       echo -n "$i "
       grep -v /usr/share/dict/$i.[id][ni][dc][et] /etc/dictd.conf \
	                > dictd.conf.tmp
     done
     if [ ! -s dictd.conf.tmp ]; then
        grep -v "server 127.0.0.1" /etc/dict.conf \
	                > dict.conf.tmp
        if [ -s dict.conf.tmp ]; then
           mv dict.conf.tmp /etc/dict.conf
        else
           if [ -f /etc/dict.conf.orig ]; then
              mv /etc/dict.conf.orig /etc/dict.conf
           fi
        fi
        if [ -f /etc/dictd.conf.orig ]; then
           mv -f /etc/dictd.conf.orig /etc/dictd.conf
        fi
        rm dictd.conf.tmp
     else
        mv -f dictd.conf.tmp /etc/dictd.conf
     fi
     echo " "
  else
    if [ -f /etc/dictd.conf.orig ]; then
       rm /etc/dictd.conf.orig
    fi
    if [ -f /etc/dictd.conf.orig ]; then
       rm /etc/dict.conf.orig
    fi
  fi
fi

(rpm -q dictd && /etc/init.d/dictd restart) > /dev/null 2>&1
exit 0

%triggerin -- %{dict_server}

#if [ "$2" != "2" ]; then
   # Save standard dictd.conf as dictd.conf.orig
  grep 'Mueller24\|Mueller7\|korolew_ruen' /etc/dictd.conf >/dev/null
  if [ $? != 0 ]; then
     cd /etc
     [ -f dictd.conf ] && mv dictd.conf dictd.conf.orig
     [ -f dict.conf ]  && mv dict.conf dict.conf.orig
  fi

  grep /usr/share/dict/%{vocab}.[id][ni][dc][et] /etc/dictd.conf>/dev/null 2>&1
  if [ $? != "0" ]; then
     for i in %{vocab} ; do
        echo 'database '$i' {   data "/usr/share/dict/'$i'.dict.dz"' \
	                                                 >> /etc/dictd.conf
        echo '                  index "/usr/share/dict/'$i'.index" }' \
                                                         >> /etc/dictd.conf
     done
  fi
#fi
echo "server 127.0.0.1" > /etc/dict.conf
/etc/init.d/dictd restart > /dev/null 2>&1

LC_ALL=C chkconfig --list dictd | grep on >/dev/null 2>&1 || chkconfig dictd on

%post
if [ ! -f /usr/bin/dictd-cfg-fix ]; then
   cat > /usr/bin/dictd-cfg-fix <<EOF
#!/bin/bash

fix() {
     (rpm -V %{dict_server} | grep ".* */etc/dictd.conf")>/dev/null || \
                   (cd /etc; [ -f dictd.conf ] && mv dictd.conf dictd.conf.orig)
     (rpm -V %{dict_server} | grep ".* */etc/dict.conf")>/dev/null || \
                   (cd /etc; [ -f dictd.conf ] && mv dict.conf dict.conf.orig)
     grep /usr/share/dict/%{vocab}.[id][ni][dc][et] /etc/dictd.conf>/dev/null 2>&1
     if [ "$?" != "0" ]; then
        echo 'database '%{vocab}' {   data "/usr/share/dict/'%{vocab}'.dict.dz"' \
	                                                   >> /etc/dictd.conf
        echo '                  index "/usr/share/dict/'%{vocab}'.index" }' \
	                                                   >> /etc/dictd.conf
     fi
}

service dictd stop >/dev/null 2>&1
STAT=$?
rpm -q dict-Mueller24-utf8 >/dev/null 2>&1 && fix "Mueller24"
rpm -q dict-korolew_ruen >/dev/null 2>&1   && fix "korolew_ruen"
echo "server 127.0.0.1" > /etc/dict.conf
if [ "$STAT" == "0" ]; then
    service dictd start
fi
EOF
fi

chmod a+x /usr/bin/dictd-cfg-fix
%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%prefix/dict/*
%doc README.korolew.html

%changelog
* Mon Aug 11 2008 Elena Korytko <elena@linux-ink.ru>
- rebuild for NauLinux
* Mon Jan 22 2001 Andrei Elkin <elkin@linux-ink.ru>
- Remove service restarting for possible installion from distro
* Mon Jan 15 2001 Andrei Elkin <elkin@linux-ink.ru>
- carefully test of system status for daeman restart at %post
* Wed Nov 15 2000 Andrei Elkin <elkin@linux-ink.ru>
- 0 version

